> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/meal-log-legacy/remove-log-entry.md).

# Remove Log Entry

Use the `removeMealLog` mutation to delete the specified meal log.&#x20;

The  `removeMealLog` mutation has the same functionality as the [`deleteFoodLog`](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/delete-a-log-entry), however, the  `removeMealLog` mutation does not delete the logs created with the [`addFoodLog` ](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/add-a-food-log)mutation.

{% hint style="info" %}
This mutation will be soon deprecated. It is recommended to use the [`deleteFoodLog`](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/delete-a-log-entry)mutation.
{% endhint %}

### Required Argument

| Argument     | Type    | Description                                                                                                                                          |
| ------------ | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| `databaseId` | String! | ID of the Meal Log to remove. Use the [`mealLog` ](https://docs.suggestic.com/graphql/query/queries/food-log/food-logs)query to get the `databaseId` |

## Available Field

The following field will be part of the response.

| Field name | Type   | Description                                                                 |
| ---------- | ------ | --------------------------------------------------------------------------- |
| `sucess`   | String | **True** if the meal log has been deleted. Otherwise, it displays **False** |

### Example

{% tabs %}
{% tab title="Mutation" %}

```graphql
mutation {
    removeMealLog(
        databaseId: "f71f9d96751711ea956692235651c382"
    ) {
        success
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "removeMealLog": {
      "success": true
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/meal-log-legacy/remove-log-entry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
